#include <iostream>

using namespace std;

int main()
{
    long long a;
    long long b;
    long long c;
    cin >> a;
    cin >> b;
    cin >> c;
    int p;
    if(a < b)      //sortiranje
    {
        p = a;
        a = b;
        b = p;
    }
    if(a < c)
    {
        p = a;
        a = c;
        c = p;
    }
    if(b < c)
    {
        p = b;
        b = c;
        c = p;
    }
    long long a1 = a;
    long long b1 = b;
    long long c1 = c;
    int xa = 0;
    int xb = 0;
    int xc = 0;
    while(a1 > 0 || b1 > 0 || c1 > 0) //izjednacavanje broja cifara
    {
        if(a1 > 0)
        {
            a1 /= 10;
            xa++;
        }
        if(b1 > 0)
        {
            b1 /= 10;
            xb++;
        }
        if(c1 > 0)
        {
            c1 /= 10;
            xc++;
        }
    }
    a1 = a;
    b1 = b;
    c1 = c;
    while(xc < xa)
    {
        if(xb < xa)
        {
            b1 *= 10;
            xb++;
        }
        c1 *= 10;
        xc++;
    }
    if(a1 < b1 || (a1 == b1 && a > b))  //konacno sortiranje
    {
        p = a;
        a = b;
        b = p;
    }
    if(a1 < c1 || (a1 == c1 && a > c))
    {
        p = a;
        a = c;
        c = p;
    }
    if(b1 < c1 || (b1 == c1 && b > c))
    {
        p = b;
        b = c;
        c = p;
    }
    b1 = b;
    c1 = c;
    int db = 1;
    int dc = 1;
    while(b1 > 0 || c1 > 0)  // nadovezivanje brojeva
    {
        if(b1 > 0)
        {
            b1 /= 10;
            db *= 10;
        }
        if(c1 > 0)
        {
            c1 /= 10;
            dc *= 10;
        }
    }
    cout << (a * db + b) * dc + c;
    return 0;
}